CVE-2020-11100

Published: 02 April 2020

In hpack_dht_insert in hpack-tbl.c in the HPACK decoder in HAProxy 1.8 through 2.x before 2.1.4, a remote attacker can write arbitrary bytes around a certain location on the heap via a crafted HTTP/2 request, possibly causing remote code execution.

Priority

Medium

CVSS 3 base score: 8.8

Status

Package Release Status
haproxy
Launchpad, Ubuntu, Debian
Upstream
Released (2.0.14)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1.8.8-1ubuntu0.10)
Ubuntu 16.04 ESM (Xenial Xerus) Not vulnerable
(code not present)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://github.com/haproxy/haproxy/commit/5dfc5d5cd0d2128d77253ead3acf03a421ab5b88